Loading...
Searching...
No Matches
seqan3::alignment_result_printer< alignment_result< result_value_t > > Struct Template Reference
Sequence Alignment » Pairwise Alignments

The printer used for formatted output of the alignment result. More...

`#include <seqan3/alignment/pairwise/alignment_result.hpp>`

Inheritance diagram for seqan3::alignment_result_printer< alignment_result< result_value_t > >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const noexcept
| Prints the formatted output of the alignment result to the stream.

## Detailed Description

template<typename result_value_t>
struct seqan3::alignment_result_printer< alignment_result< result_value_t > >

The printer used for formatted output of the alignment result.

The type of the printer must be a seqan3::alignment_result type.

Template Parameters

  result_value_t | The type of the alignment result value.

## Member Function Documentation

## operator()()

template<typename result_value_t>
template<typename stream_t, typename arg_t>

void seqan3::alignment_result_printer< alignment_result< result_value_t > >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr noexcept

Prints the formatted output of the alignment result to the stream.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The alignment result to print.

The documentation for this struct was generated from the following file:

- alignment_result.hpp

Hide me